<?php
/*
Plugin Name: Difficulty Taxonomy
PluginDescription: Adds a difficulty taxonomy to Wordpress
Version: 1.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Author: Patrick Sletvold
Author URI: http://multitek.no
Text Domain: difficulty-taxomony
*/

function difficulty_taxonomy() {
	$labels = array(
		'name' => _x( 'Difficulties', 'taxonomy general name', 'difficulty-taxomony' ),
		'singular_name' => _x( 'Difficulty', 'taxonomy singular name', 'difficulty-taxomony' ),
		'search_items' =>  __( 'Search Difficulties', 'difficulty-taxomony' ),
		'all_items' => __( 'All Difficulties', 'difficulty-taxomony' ),
		'parent_item' => __( 'Parent Difficulty', 'difficulty-taxomony' ),
		'parent_item_colon' => __( 'Parent Difficulty:', 'difficulty-taxomony' ),
		'edit_item' => __( 'Edit Difficulty', 'difficulty-taxomony' ),
		'add_new_item' => __( 'Add New Difficulty', 'difficulty-taxomony' ),
		'new_item_name' => __( 'New Difficulty Name', 'difficulty-taxomony' ),
		'menu_name' => __( 'Difficulties', 'difficulty-taxomony' ),
	);

	register_taxonomy(
		'difficulty',
		'post',
		array(
			'label' => __( 'Difficulties', 'difficulty-taxomony' ),
			'hierarchical' => true,
			'labels' => $labels,
			'public' => true,
			'show_in_nav_menus' => false,
			'show_tagcloud' => false,
			'show_admin_column' => true
		)
	);
}
add_action( 'init', 'difficulty_taxonomy' );
?>